Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# VLCClustering Class Reference

`#include <VLCClustering.h>`

Collaboration diagram for VLCClustering:

[legend]
List of all members.

## Public Member Functions
| VLCClustering ()
void | addLine (Vector2< int > start, Vector2< int > end, int length)
Vector2< double > | getMidpoint (int elementnr)
Vector2< double > | getMidpointX (int elementnr)
Vector2< double > | getMidpointY (int elementnr)
int | getSize ()
void | reset ()
VLCCluster | getClusterX (int elementnr)
VLCCluster | getClusterY (int elementnr)
## Private Member Functions
void | markV (double xminimum, double xmaximum, double yminimum, double ymaximum, int expansion)
void | Cluster1 (bool v)
void | markH (double xminimum, double xmaximum, double yminimum, double ymaximum, int expansion)
void | prepV (double xminimum)
void | prepH (double yminimum)
void | clusterFinal (bool vertical, double xminimum, double xmaximum, double yminimum, double ymaximum)
## Private Attributes
int | vhshort
int | vhmiddle
int | vhlong
int | yshort
int | ymiddle
int | ylong
int | hv
int | vh
int | lImage
int | hImage
VLCClusterliste | cl
double | xmin
double | xmax
double | ymin
double | ymax
bool | vertical
double | distance
std::list< std::list< VLCCluster >::iterator >::iterator | cfirst
std::list< std::list< VLCCluster >::iterator >::iterator | clast
std::list< std::list< VLCCluster >::iterator >::iterator | cinput
std::list< VLCCluster >::iterator | cIter
std::list< VLCCluster >::iterator | cIter2
std::list< std::list< VLCCluster >::iterator >::iterator | vhIter
std::list< std::list< VLCCluster >::iterator >::iterator | vhIter2
std::list< Vector2< double > > | hlist
std::list< Vector2< double > >::iterator | hiterator

## Constructor & Destructor Documentation

VLCClustering::VLCClustering | ( |  | ) |

| Definition at line 3 of file VLCClustering.cpp.

## Member Function Documentation

void VLCClustering::markV | ( | double | xminimum,
|  | double | xmaximum,
|  | double | yminimum,
|  | double | ymaximum,
|  | int | expansion
| ) | `[private]`

| Definition at line 254 of file VLCClustering.cpp. References VLCClusterliste::addCluster(), and clusterFinal(). Referenced by Cluster1().

Here is the call graph for this function:

void VLCClustering::Cluster1 | ( | bool | v | ) | `[private]`

| Definition at line 78 of file VLCClustering.cpp. References VLCClusterliste::addCluster(), markH(), markV(), prepH(), and prepV(). Referenced by addLine().

Here is the call graph for this function:

void VLCClustering::markH | ( | double | xminimum,
|  | double | xmaximum,
|  | double | yminimum,
|  | double | ymaximum,
|  | int | expansion
| ) | `[private]`

| Definition at line 302 of file VLCClustering.cpp. References VLCClusterliste::addCluster(), and clusterFinal(). Referenced by Cluster1().

Here is the call graph for this function:

void VLCClustering::prepV | ( | double | xminimum | ) | `[private]`

| Definition at line 215 of file VLCClustering.cpp. References VLCClusterliste::getVNaviBegin(), and VLCClusterliste::getVNaviEnd(). Referenced by Cluster1().

Here is the call graph for this function:

void VLCClustering::prepH | ( | double | yminimum | ) | `[private]`

| Definition at line 235 of file VLCClustering.cpp. References VLCClusterliste::getHNaviBegin(), and VLCClusterliste::getHNaviEnd(). Referenced by Cluster1().

Here is the call graph for this function:

void VLCClustering::clusterFinal | ( | bool | vertical,
|  | double | xminimum,
|  | double | xmaximum,
|  | double | yminimum,
|  | double | ymaximum
| ) | `[private]`

| Definition at line 346 of file VLCClustering.cpp. References VLCClusterliste::addCluster(), VLCClusterliste::getHNaviBegin(), VLCClusterliste::getVNaviBegin(), and VLCClusterliste::removeCluster(). Referenced by markH(), and markV().

Here is the call graph for this function:

void VLCClustering::addLine | ( | Vector2< int > | start,
|  | Vector2< int > | end,
|  | int | length
| ) |

| Definition at line 27 of file VLCClustering.cpp. References VLCClusterliste::addCluster(), Cluster1(), VLCClusterliste::getEmpty(), VLCClusterliste::getVNaviBegin(), Vector2< V >::x, and Vector2< V >::y. Referenced by VLCImageProcessor::scan().

Here is the call graph for this function:

Vector2< double > VLCClustering::getMidpoint | ( | int | elementnr | ) |

| Definition at line 438 of file VLCClustering.cpp. References e, and VLCClusterliste::getMidpoints(). Referenced by VLCImageProcessor::execute().

Here is the call graph for this function:

Vector2< double > VLCClustering::getMidpointX | ( | int | elementnr | ) |

| Definition at line 451 of file VLCClustering.cpp. References e, and VLCClusterliste::getVNaviBegin().

Here is the call graph for this function:

Vector2< double > VLCClustering::getMidpointY | ( | int | elementnr | ) |

| Definition at line 462 of file VLCClustering.cpp. References e, and VLCClusterliste::getHNaviBegin().

Here is the call graph for this function:

int VLCClustering::getSize | ( |  | ) |

| Definition at line 430 of file VLCClustering.cpp. References VLCClusterliste::getMidpoints(). Referenced by VLCImageProcessor::execute().

Here is the call graph for this function:

void VLCClustering::reset | ( |  | ) |

| Definition at line 495 of file VLCClustering.cpp. References VLCClusterliste::deleteAll(). Referenced by VLCImageProcessor::execute().

Here is the call graph for this function:

VLCCluster VLCClustering::getClusterX | ( | int | elementnr | ) |

| Definition at line 473 of file VLCClustering.cpp. References e, and VLCClusterliste::getVNaviBegin().

Here is the call graph for this function:

VLCCluster VLCClustering::getClusterY | ( | int | elementnr | ) |

| Definition at line 484 of file VLCClustering.cpp. References e, and VLCClusterliste::getHNaviBegin().

Here is the call graph for this function:

## Member Data Documentation

int VLCClustering::vhshort`[private]`

| Definition at line 17 of file VLCClustering.h.

int VLCClustering::vhmiddle`[private]`

| Definition at line 18 of file VLCClustering.h.

int VLCClustering::vhlong`[private]`

| Definition at line 19 of file VLCClustering.h.

int VLCClustering::yshort`[private]`

| Definition at line 22 of file VLCClustering.h.

int VLCClustering::ymiddle`[private]`

| Definition at line 23 of file VLCClustering.h.

int VLCClustering::ylong`[private]`

| Definition at line 24 of file VLCClustering.h.

int VLCClustering::hv`[private]`

| Definition at line 28 of file VLCClustering.h.

int VLCClustering::vh`[private]`

| Definition at line 31 of file VLCClustering.h.

int VLCClustering::lImage`[private]`

| Definition at line 35 of file VLCClustering.h.

int VLCClustering::hImage`[private]`

| Definition at line 37 of file VLCClustering.h.

VLCClusterliste VLCClustering::cl`[private]`

| Definition at line 41 of file VLCClustering.h.

double VLCClustering::xmin`[private]`

| Definition at line 44 of file VLCClustering.h.

double VLCClustering::xmax`[private]`

| Definition at line 44 of file VLCClustering.h.

double VLCClustering::ymin`[private]`

| Definition at line 44 of file VLCClustering.h.

double VLCClustering::ymax`[private]`

| Definition at line 44 of file VLCClustering.h.

bool VLCClustering::vertical`[private]`

| Definition at line 48 of file VLCClustering.h.

double VLCClustering::distance`[private]`

| Definition at line 51 of file VLCClustering.h.

std::list<std::list<VLCCluster>::iterator>::iterator VLCClustering::cfirst`[private]`

| Definition at line 54 of file VLCClustering.h.

std::list<std::list<VLCCluster>::iterator>::iterator VLCClustering::clast`[private]`

| Definition at line 55 of file VLCClustering.h.

std::list<std::list<VLCCluster>::iterator>::iterator VLCClustering::cinput`[private]`

| Definition at line 56 of file VLCClustering.h.

std::list<VLCCluster>::iterator VLCClustering::cIter`[private]`

| Definition at line 59 of file VLCClustering.h.

std::list<VLCCluster>::iterator VLCClustering::cIter2`[private]`

| Definition at line 60 of file VLCClustering.h.

std::list<std::list<VLCCluster>::iterator>::iterator VLCClustering::vhIter`[private]`

| Definition at line 63 of file VLCClustering.h.

std::list<std::list<VLCCluster>::iterator>::iterator VLCClustering::vhIter2`[private]`

| Definition at line 64 of file VLCClustering.h.

std::list<Vector2<double> > VLCClustering::hlist`[private]`

| Definition at line 90 of file VLCClustering.h.

std::list<Vector2<double> >::iterator VLCClustering::hiterator`[private]`

| Definition at line 93 of file VLCClustering.h.

The documentation for this class was generated from the following files:

- Modules/ImageProcessor/VLCImageProcessor/VLCClustering.h
- Modules/ImageProcessor/VLCImageProcessor/VLCClustering.cpp